//
//  TSLoadingAnimation.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/4.
//

import Foundation
import UIKit

class TSLoadingAnimation {
    
    // 用于标记是否已经隐藏动画
    private static var isAnimationHidden = false
    
    /// 显示加载动画
    /// - Parameters:
    ///   - view: 需要显示加载动画的视图
    ///   - delay: 延迟显示的时间（默认 0.75 秒）
    static func showLoading(in view: UIView?, delay: TimeInterval = 0.75) {
        guard let view = view else { return }
        
        // 重置隐藏标记
        isAnimationHidden = false
        
        kDelayOnMainThread(delay) {
            // 如果动画没有被隐藏，则显示动画
            if !isAnimationHidden {
                TSToastShared.showLoading(containerView: view)
            }
        }
    }
    
    /// 隐藏加载动画
    static func hideLoading() {
        // 标记动画已隐藏
        isAnimationHidden = true
        TSToastShared.hideLoading()
    }
}
